using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using JXC_MIS.MyClass;
using JXC_MIS.DataTier ;
namespace JXC_MIS.UserTier.CommonForm
{
	/// <summary>
	/// FrmNavigation 的摘要说明。
	/// </summary>
	public class FrmNavigation : System.Windows.Forms.Form
	{
		ClsDataBase newDB=new ClsDataBase();
		ClsInitData InitData=new ClsInitData();
		private System.Windows.Forms.TreeView tre_MainMenu;
		/// <summary>
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FrmNavigation()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.tre_MainMenu = new System.Windows.Forms.TreeView();
			this.SuspendLayout();
			// 
			// tre_MainMenu
			// 
			this.tre_MainMenu.BackColor = System.Drawing.Color.Honeydew;
			this.tre_MainMenu.Font = new System.Drawing.Font("宋体", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.tre_MainMenu.FullRowSelect = true;
			this.tre_MainMenu.HotTracking = true;
			this.tre_MainMenu.ImageIndex = -1;
			this.tre_MainMenu.Location = new System.Drawing.Point(1, 0);
			this.tre_MainMenu.Name = "tre_MainMenu";
			this.tre_MainMenu.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
																					 new System.Windows.Forms.TreeNode("管理信息系统", new System.Windows.Forms.TreeNode[] {
																																										 new System.Windows.Forms.TreeNode("报表管理"),
																																										 new System.Windows.Forms.TreeNode("采购管理", new System.Windows.Forms.TreeNode[] {
																																																														   new System.Windows.Forms.TreeNode("采购单"),
																																																														   new System.Windows.Forms.TreeNode("到货单")}),
																																										 new System.Windows.Forms.TreeNode("单据设置"),
																																										 new System.Windows.Forms.TreeNode("库存管理", new System.Windows.Forms.TreeNode[] {
																																																														   new System.Windows.Forms.TreeNode("出库单"),
																																																														   new System.Windows.Forms.TreeNode("调拨单"),
																																																														   new System.Windows.Forms.TreeNode("入库单"),
																																																														   new System.Windows.Forms.TreeNode("生产计划单")}),
																																										 new System.Windows.Forms.TreeNode("审核管理", new System.Windows.Forms.TreeNode[] {
																																																														   new System.Windows.Forms.TreeNode("出库审核"),
																																																														   new System.Windows.Forms.TreeNode("销售审核")}),
																																										 new System.Windows.Forms.TreeNode("销售管理", new System.Windows.Forms.TreeNode[] {
																																																														   new System.Windows.Forms.TreeNode("合同评审报告"),
																																																														   new System.Windows.Forms.TreeNode("送货单"),
																																																														   new System.Windows.Forms.TreeNode("销售单"),
																																																														   new System.Windows.Forms.TreeNode("销售合同"),
																																																														   new System.Windows.Forms.TreeNode("销售合同"),
																																																														   new System.Windows.Forms.TreeNode("销售意向单")}),
																																										 new System.Windows.Forms.TreeNode("帐务管理", new System.Windows.Forms.TreeNode[] {
																																																														   new System.Windows.Forms.TreeNode("期初收款单"),
																																																														   new System.Windows.Forms.TreeNode("其他收款"),
																																																														   new System.Windows.Forms.TreeNode("销售收款"),
																																																														   new System.Windows.Forms.TreeNode("销售预付款")}),
																																										 new System.Windows.Forms.TreeNode("质量管理", new System.Windows.Forms.TreeNode[] {
																																																														   new System.Windows.Forms.TreeNode("验质单")})}),
																					 new System.Windows.Forms.TreeNode("退出")});
			this.tre_MainMenu.SelectedImageIndex = -1;
			this.tre_MainMenu.Size = new System.Drawing.Size(170, 560);
			this.tre_MainMenu.Sorted = true;
			this.tre_MainMenu.TabIndex = 2;
			// 
			// FrmNavigation
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(172, 577);
			this.Controls.Add(this.tre_MainMenu);
			this.Name = "FrmNavigation";
			this.Text = "FrmNavigation";
			this.Load += new System.EventHandler(this.FrmNavigation_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void FrmNavigation_Load(object sender, System.EventArgs e)
		{
			ClsDataBaseAccess AdoDB=new ClsDataBaseAccess();

			InitData.InitTreeView (tre_MainMenu,newDB.GetDataArray(AdoDB.GetDataSet("Sys_ProMenuItem")));

		}
	}
}
